Authentication
3 min
Generating a Session Token
Access to the KYC Data API will be granted when user credentials are issued.
The credentials are required in order to obtain a session token. A session token is valid for 8 hours, and a user can have multiple active session tokens.
When you subscribe to the Data Zoo KYC Data API you'll receive a username and password for every child account required; often this may be only one set of credentials however depending on the number of configuration profiles, reseller accounts etc then multiple credentials may be issued.
Authentication Sandbox
POST
https://idu-test.datazoo.com/api/v2/auth/sign_in
curl --location 'https://idu-test.datazoo.com/api/v2/auth/sign_in' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"username": "",
"password": ""
}'
Authentication Production
POST
https://idu.datazoo.com/api/v2/auth/sign_in
curl --location 'https://idu.datazoo.com/api/v2/auth/sign_in' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"data":{"username":"String","password":"String"}}'